- name: Query an interface selector profile associated with a switch policy leaf profile
  cisco.aci.aci_interface_selector_to_switch_policy_leaf_profile:
    host: "{{ fabric }}"
    username: "{{ vault_secrets['username'] }}"
    password: "{{ vault_secrets['password'] }}"
    use_proxy: False
    use_ssl: True
    validate_certs: False
    state: query
    leaf_profile: "{{ leaf_single_swprofs }}"
  delegate_to: localhost
  register: ifprofile_swprofile
  loop_control:
    label: "Query leaf interface profile {{ leaf_single_swprofs }} to {{ ifprofile_name | default(omit) }}."

- name: Assert that the switch profiles has leaf interface profiles
  assert:
    that:
      - item | length > 0
      - item.infraNodeP is defined
      - item.infraNodeP.children is defined
    fail_msg: "No interfaces configured on leaf {{ switch }} with ID {{ leaf_id }}. Stopping..."
    success_msg: "Interfaces configured on leaf {{ switch }} with ID {{ leaf_id }}. Continuing..."
    quiet: True
  loop: "{{ ifprofile_swprofile.current }}"
  loop_control:
    label: "Verifying if switch profile for leaf {{ switch }} based on the leaf id {{ leaf_id }} has any interfaces attached to it."
